hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stack <st...@duboce.net>
Subject Re: upgrade hbase from 0.20.6 to 0.92
Date Fri, 17 Feb 2012 04:17:48 GMT
On Thu, Feb 16, 2012 at 8:02 PM, Jameson Li <hovlj.ei@gmail.com> wrote:
> *I want to upgrade our hbase cluster from version 0.20.6 to 0.92, but the
> hbase book just tell me how to upgrade from version 0.90 to 0.92.*
> *So I have a doubt that:
> *
> *Can I directly upgrade? Or I have to firstly upgrade it to 0.90 version,
> then upgrade it from verion 0.90 to 0.92.*
> *

You  must first upgrade to 0.90:
http://hbase.apache.org/book/upgrading.html#upgrade0.90

> *
> *And 0.20.6 to 0.90, just replace the jar file and run:*
> *hbase org.jruby.Main $HBASE_HOME/bin/set_meta_memstore_size.rb*
> *

You need to replace your whole install, not just the jar (different
dependencies, supporting scripts have changed, etc.)


> *And 0.90 to 0.92, just change the zookeeper version to 3.4.2 and take care
> the below confs:*
> *-- base.hregion.memstore.mslab.enabled*
> *-- adds distributed WAL log splitting in place of single-process master
> orchestrated splitting(default on)*
> *-- hbase.instant.schema.alter.enabled*
> *-- off-heap cache*
> *-- regionserver OOM kill -9*
> *
> *

Follow the 0.90 upgrade steps first.  Verify its working properly up
on 0.90.  Then go to 0.92.  Don't try replacing pieces of the tar ball
piecemeal.  Use all of 0.90 (but yes, adjust the confs accordingly).

St.Ack

Mime
View raw message